Package com.smartgwt.client.types

# Enum OperatorId

java.lang.Object
java.lang.Enum<OperatorId>
com.smartgwt.client.types.OperatorId

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<OperatorId>`, `Constable`

public enum OperatorId extends Enum<OperatorId> implements ValueEnum
An operator is used as part of a `Criterion` when specifying `AdvancedCriteria`.

This list of operators indicates the set of operators built into Smart GWT DataSources, which can be used for both client and server-side filtering. Some operators offer case-insensitive versions, prefixed with a lower-case i, such as `iContains`. Note that such operators are intended for text-based searches and are not available to numeric or date fields (integer/float/date/datetime and derivatives), where there is no use for case.

You can extend the list of operators with `DataSource.addSearchOperator()`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AND`
  all subcriteria (criterion.criteria) are true
  `BETWEEN`
  shortcut for "greaterThan" + "lessThan" + "and".
  `BETWEEN_INCLUSIVE`
  shortcut for "greaterOrEqual" + "lessOrEqual" + "and".
  `CONTAINS`
  Contains as sub-string (match case)
  `CONTAINS_FIELD`
  Contains as sub-string (match case) another field value (specify fieldName as criterion.value)
  `CONTAINS_PATTERN`
  GLOB matching using wildcards.
  `ENDS_WITH`
  Ends with (match case)
  `ENDS_WITH_FIELD`
  Ends with (match case) another field value (specify fieldName as criterion.value)
  `ENDS_WITH_PATTERN`
  GLOB matching using wildcards.
  `EQUALS`
  exactly equal to
  `EQUALS_FIELD`
  matches another field (match case, specify fieldName as criterion.value)
  `EXISTS`
  One or more related records exist (for `AdvancedCriteria subqueries`).
  `GREATER_OR_EQUAL`
  Greater than or equal to
  `GREATER_OR_EQUAL_FIELD`
  Greater than or equal to another field (specify fieldName as criterion.value)
  `GREATER_THAN`
  Greater than
  `GREATER_THAN_FIELD`
  Greater than another field (specify fieldName as criterion.value)
  `IBETWEEN`
  shortcut for "greaterThan" + "and" + "lessThan" (case insensitive)
  `IBETWEEN_INCLUSIVE`
  shortcut for "greaterOrEqual" + "and" + "lessOrEqual" (case insensitive)
  `ICONTAINS`
  Contains as sub-string (case insensitive)
  `ICONTAINS_FIELD`
  Contains as sub-string (case insensitive) another field value (specify fieldName as criterion.value)
  `ICONTAINS_PATTERN`
  GLOB matching using wildcards.
  `IENDS_WITH`
  Ends with (case insensitive)
  `IENDS_WITH_FIELD`
  Ends with (case insensitive) another field value (specify fieldName as criterion.value)
  `IENDS_WITH_PATTERN`
  GLOB matching using wildcards.Value is considered to meet the criterion if it ends with the pattern.
  `IEQUALS`
  exactly equal to, if case is disregarded
  `IEQUALS_FIELD`
  matches another field (case insensitive, specify fieldName as criterion.value)
  `IMATCHES_PATTERN`
  Basic GLOB matching using wildcards (case insensitive) (see `DataSource.translatePatternOperators` for more information on available patterns)
  `IN_SET`
  value is in a set of values.
  `INOT_CONTAINS`
  Does not contain as sub-string (case insensitive)
  `INOT_CONTAINS_FIELD`
  Does not contain as sub-string (case insensitive) another field value (specify fieldName as criterion.value)
  `INOT_ENDS_WITH`
  Does not end with (case insensitive)
  `INOT_ENDS_WITH_FIELD`
  Does not end with (case insensitive) another field value (specify fieldName as criterion.value)
  `INOT_EQUAL`
  not equal to, if case is disregarded
  `INOT_EQUAL_FIELD`
  does not match another field (case insensitive, specify fieldName as criterion.value)
  `INOT_STARTS_WITH`
  Does not start with (case insensitive)
  `INOT_STARTS_WITH_FIELD`
  Does not start with (case insensitive) another field value (specify fieldName as criterion.value)
  `IREGEXP`
  Regular expression match (case insensitive) - regexp operator limitations apply.
  `IS_BLANK`
  value is either null or the empty string.
  `IS_NULL`
  value is null
  `ISTARTS_WITH`
  Starts with (case insensitive)
  `ISTARTS_WITH_FIELD`
  Starts with (case insensitive) another field value (specify fieldName as criterion.value)
  `ISTARTS_WITH_PATTERN`
  GLOB matching using wildcards.
  `LESS_OR_EQUAL`
  Less than or equal to
  `LESS_OR_EQUAL_FIELD`
  Less than or equal to another field (specify fieldName as criterion.value)
  `LESS_THAN`
  Less than.
  `LESS_THAN_FIELD`
  Less than another field (specify fieldName as criterion.value)
  `MATCHES_PATTERN`
  Basic GLOB matching using wildcards (see `DataSource.translatePatternOperators` for more information on available patterns)
  `NOT`
  all subcriteria (criterion.criteria) are false
  `NOT_BLANK`
  value is neither null nor the empty string.
  `NOT_CONTAINS`
  Does not contain as sub-string (match case)
  `NOT_CONTAINS_FIELD`
  Does not contain as sub-string (match case) another field value (specify fieldName as criterion.value)
  `NOT_ENDS_WITH`
  Does not end with (match case)
  `NOT_ENDS_WITH_FIELD`
  Does not end with (match case) another field value (specify fieldName as criterion.value)
  `NOT_EQUAL`
  not equal to
  `NOT_EQUAL_FIELD`
  does not match another field (match case, specify fieldName as criterion.value)
  `NOT_EXISTS`
  No related records exist (for `AdvancedCriteria subqueries`).
  `NOT_IN_SET`
  value is not in a set of values.
  `NOT_NULL`
  value is non-null.
  `NOT_STARTS_WITH`
  Does not start with (match case)
  `NOT_STARTS_WITH_FIELD`
  Does not start with (match case) another field value (specify fieldName as criterion.value)
  `OR`
  at least one subcriteria (criterion.criteria) is true
  `REGEXP`
  Regular expression match - built-in SQL only, JPA and Hibernate do not support regexp operator.
  `STARTS_WITH`
  Starts with (match case)
  `STARTS_WITH_FIELD`
  Starts with (match case) another field value (specify fieldName as criterion.value)
  `STARTS_WITH_PATTERN`
  GLOB matching using wildcards.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static OperatorId`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static OperatorId[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EQUALS

    public static final OperatorId EQUALS
    exactly equal to

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "equals".

  - ### NOT_EQUAL

    public static final OperatorId NOT_EQUAL
    not equal to

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notEqual".

  - ### IEQUALS

    public static final OperatorId IEQUALS
    exactly equal to, if case is disregarded

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iEquals".

  - ### INOT_EQUAL

    public static final OperatorId INOT_EQUAL
    not equal to, if case is disregarded

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iNotEqual".

  - ### GREATER_THAN

    public static final OperatorId GREATER_THAN
    Greater than

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "greaterThan".

  - ### LESS_THAN

    public static final OperatorId LESS_THAN
    Less than. Note that `null` is treated as equivalent to an arbitrarily small value, so null field values will always be returned by `lessThan` / `lessOrEqual` filter operations by default.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "lessThan".

  - ### GREATER_OR_EQUAL

    public static final OperatorId GREATER_OR_EQUAL
    Greater than or equal to

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "greaterOrEqual".

  - ### LESS_OR_EQUAL

    public static final OperatorId LESS_OR_EQUAL
    Less than or equal to

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "lessOrEqual".

  - ### CONTAINS

    public static final OperatorId CONTAINS
    Contains as sub-string (match case)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "contains".

  - ### STARTS_WITH

    public static final OperatorId STARTS_WITH
    Starts with (match case)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "startsWith".

  - ### ENDS_WITH

    public static final OperatorId ENDS_WITH
    Ends with (match case)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "endsWith".

  - ### ICONTAINS

    public static final OperatorId ICONTAINS
    Contains as sub-string (case insensitive)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iContains".

  - ### ISTARTS_WITH

    public static final OperatorId ISTARTS_WITH
    Starts with (case insensitive)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iStartsWith".

  - ### IENDS_WITH

    public static final OperatorId IENDS_WITH
    Ends with (case insensitive)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iEndsWith".

  - ### NOT_CONTAINS

    public static final OperatorId NOT_CONTAINS
    Does not contain as sub-string (match case)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notContains".

  - ### NOT_STARTS_WITH

    public static final OperatorId NOT_STARTS_WITH
    Does not start with (match case)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notStartsWith".

  - ### NOT_ENDS_WITH

    public static final OperatorId NOT_ENDS_WITH
    Does not end with (match case)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notEndsWith".

  - ### INOT_CONTAINS

    public static final OperatorId INOT_CONTAINS
    Does not contain as sub-string (case insensitive)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iNotContains".

  - ### INOT_STARTS_WITH

    public static final OperatorId INOT_STARTS_WITH
    Does not start with (case insensitive)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iNotStartsWith".

  - ### INOT_ENDS_WITH

    public static final OperatorId INOT_ENDS_WITH
    Does not end with (case insensitive)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iNotEndsWith".

  - ### IBETWEEN

    public static final OperatorId IBETWEEN
    shortcut for "greaterThan" + "and" + "lessThan" (case insensitive)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iBetween".

  - ### IBETWEEN_INCLUSIVE

    public static final OperatorId IBETWEEN_INCLUSIVE
    shortcut for "greaterOrEqual" + "and" + "lessOrEqual" (case insensitive)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iBetweenInclusive".

  - ### MATCHES_PATTERN

    public static final OperatorId MATCHES_PATTERN
    Basic GLOB matching using wildcards (see `DataSource.translatePatternOperators` for more information on available patterns)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "matchesPattern".

  - ### IMATCHES_PATTERN

    public static final OperatorId IMATCHES_PATTERN
    Basic GLOB matching using wildcards (case insensitive) (see `DataSource.translatePatternOperators` for more information on available patterns)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iMatchesPattern".

  - ### CONTAINS_PATTERN

    public static final OperatorId CONTAINS_PATTERN
    GLOB matching using wildcards. Value is considered to meet the criterion if it contains the pattern. See `DataSource.translatePatternOperators` for more information on available patterns)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "containsPattern".

  - ### STARTS_WITH_PATTERN

    public static final OperatorId STARTS_WITH_PATTERN
    GLOB matching using wildcards. Value is considered to meet the criterion if it starts with the pattern.See `DataSource.translatePatternOperators` for more information on available patterns)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "startsWithPattern".

  - ### ENDS_WITH_PATTERN

    public static final OperatorId ENDS_WITH_PATTERN
    GLOB matching using wildcards. Value is considered to meet the criterion if it starts with the pattern.See `DataSource.translatePatternOperators` for more information on available patterns)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "endsWithPattern".

  - ### ICONTAINS_PATTERN

    public static final OperatorId ICONTAINS_PATTERN
    GLOB matching using wildcards. Value is considered to meet the criterion if it contains the pattern. Matching is case insensitive. See `DataSource.translatePatternOperators` for more information on available patterns)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iContainsPattern".

  - ### ISTARTS_WITH_PATTERN

    public static final OperatorId ISTARTS_WITH_PATTERN
    GLOB matching using wildcards. Value is considered to meet the criterion if it starts with the pattern. Matching is case insensitive.See `DataSource.translatePatternOperators` for more information on available patterns)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iStartsWithPattern".

  - ### IENDS_WITH_PATTERN

    public static final OperatorId IENDS_WITH_PATTERN
    GLOB matching using wildcards.Value is considered to meet the criterion if it ends with the pattern. Matching is case insensitive. See `DataSource.translatePatternOperators` for more information on available patterns)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iEndsWithPattern".

  - ### REGEXP

    public static final OperatorId REGEXP
    Regular expression match - built-in SQL only, JPA and Hibernate do not support regexp operator. Additionally, when using PostgreSQL, it is supported only starting from PostgreSQL version 9.3.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "regexp".

  - ### IREGEXP

    public static final OperatorId IREGEXP
    Regular expression match (case insensitive) - regexp operator limitations apply.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iregexp".

  - ### IS_BLANK

    public static final OperatorId IS_BLANK
    value is either null or the empty string. For numeric fields it behaves as isNull

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "isBlank".

  - ### NOT_BLANK

    public static final OperatorId NOT_BLANK
    value is neither null nor the empty string. For numeric fields it behaves as notNull

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notBlank".

  - ### IS_NULL

    public static final OperatorId IS_NULL
    value is null

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "isNull".

  - ### NOT_NULL

    public static final OperatorId NOT_NULL
    value is non-null. Note empty string ("") is non-null

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notNull".

  - ### IN_SET

    public static final OperatorId IN_SET
    value is in a set of values. Specify criterion.value as an Array

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inSet".

  - ### NOT_IN_SET

    public static final OperatorId NOT_IN_SET
    value is not in a set of values. Specify criterion.value as an Array

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notInSet".

  - ### EQUALS_FIELD

    public static final OperatorId EQUALS_FIELD
    matches another field (match case, specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "equalsField".

  - ### NOT_EQUAL_FIELD

    public static final OperatorId NOT_EQUAL_FIELD
    does not match another field (match case, specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notEqualField".

  - ### IEQUALS_FIELD

    public static final OperatorId IEQUALS_FIELD
    matches another field (case insensitive, specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iEqualsField".

  - ### INOT_EQUAL_FIELD

    public static final OperatorId INOT_EQUAL_FIELD
    does not match another field (case insensitive, specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iNotEqualField".

  - ### GREATER_THAN_FIELD

    public static final OperatorId GREATER_THAN_FIELD
    Greater than another field (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "greaterThanField".

  - ### LESS_THAN_FIELD

    public static final OperatorId LESS_THAN_FIELD
    Less than another field (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "lessThanField".

  - ### GREATER_OR_EQUAL_FIELD

    public static final OperatorId GREATER_OR_EQUAL_FIELD
    Greater than or equal to another field (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "greaterOrEqualField".

  - ### LESS_OR_EQUAL_FIELD

    public static final OperatorId LESS_OR_EQUAL_FIELD
    Less than or equal to another field (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "lessOrEqualField".

  - ### CONTAINS_FIELD

    public static final OperatorId CONTAINS_FIELD
    Contains as sub-string (match case) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "containsField".

  - ### STARTS_WITH_FIELD

    public static final OperatorId STARTS_WITH_FIELD
    Starts with (match case) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "startsWithField".

  - ### ENDS_WITH_FIELD

    public static final OperatorId ENDS_WITH_FIELD
    Ends with (match case) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "endsWithField".

  - ### ICONTAINS_FIELD

    public static final OperatorId ICONTAINS_FIELD
    Contains as sub-string (case insensitive) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iContainsField".

  - ### ISTARTS_WITH_FIELD

    public static final OperatorId ISTARTS_WITH_FIELD
    Starts with (case insensitive) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iStartsWithField".

  - ### IENDS_WITH_FIELD

    public static final OperatorId IENDS_WITH_FIELD
    Ends with (case insensitive) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iEndsWithField".

  - ### NOT_CONTAINS_FIELD

    public static final OperatorId NOT_CONTAINS_FIELD
    Does not contain as sub-string (match case) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notContainsField".

  - ### NOT_STARTS_WITH_FIELD

    public static final OperatorId NOT_STARTS_WITH_FIELD
    Does not start with (match case) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notStartsWithField".

  - ### NOT_ENDS_WITH_FIELD

    public static final OperatorId NOT_ENDS_WITH_FIELD
    Does not end with (match case) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notEndsWithField".

  - ### INOT_CONTAINS_FIELD

    public static final OperatorId INOT_CONTAINS_FIELD
    Does not contain as sub-string (case insensitive) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iNotContainsField".

  - ### INOT_STARTS_WITH_FIELD

    public static final OperatorId INOT_STARTS_WITH_FIELD
    Does not start with (case insensitive) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iNotStartsWithField".

  - ### INOT_ENDS_WITH_FIELD

    public static final OperatorId INOT_ENDS_WITH_FIELD
    Does not end with (case insensitive) another field value (specify fieldName as criterion.value)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iNotEndsWithField".

  - ### AND

    public static final OperatorId AND
    all subcriteria (criterion.criteria) are true

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "and".

  - ### NOT

    public static final OperatorId NOT
    all subcriteria (criterion.criteria) are false

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "not".

  - ### OR

    public static final OperatorId OR
    at least one subcriteria (criterion.criteria) is true

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "or".

  - ### BETWEEN

    public static final OperatorId BETWEEN
    shortcut for "greaterThan" + "lessThan" + "and". Specify criterion.start and criterion.end

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "between".

  - ### BETWEEN_INCLUSIVE

    public static final OperatorId BETWEEN_INCLUSIVE
    shortcut for "greaterOrEqual" + "lessOrEqual" + "and". Specify criterion.start and criterion.end

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "betweenInclusive".

  - ### EXISTS

    public static final OperatorId EXISTS
    One or more related records exist (for `AdvancedCriteria subqueries`).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "exists".

  - ### NOT_EXISTS

    public static final OperatorId NOT_EXISTS
    No related records exist (for `AdvancedCriteria subqueries`).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "notExists".

- ## Method Details

  - ### values

    public static OperatorId[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static OperatorId valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`